org.apache.ignite.internal.processors.rest.protocols.tcp

## Class GridTcpRestProtocol

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.protocols.GridRestProtocolAdapter
  - - org.apache.ignite.internal.processors.rest.protocols.tcp.GridTcpRestProtocol

All Implemented Interfaces:
  GridRestProtocol

    public class GridTcpRestProtocol
    extends GridRestProtocolAdapter

TCP binary protocol implementation.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.rest.protocols.GridRestProtocolAdapter

`ctx, host, log, port, secretKey`

### Constructor Summary

Constructors
Constructor and Description
`GridTcpRestProtocol(GridKernalContext ctx)`

### Method Summary

Methods
`protected String` `getAddressPropertyName()` Return node attribute name to store used address.
`protected String` `getHostNamePropertyName()` Return node attribute name to store used host name.
`protected String` `getPortPropertyName()` Return node attribute name to store used port number.
`String` `name()`
`void` `onKernalStart()` Grid start callback.
`void` `start(GridRestProtocolHandler hnd)` Starts protocol.
`void` `stop()` Stops protocol.

### Methods inherited from class org.apache.ignite.internal.processors.rest.protocols.GridRestProtocolAdapter

`assertParameter, authenticate, config, getProperties, startInfo, stopInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridTcpRestProtocol

    public GridTcpRestProtocol(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### name

    public String name()

Returns:
  Protocol name.

#### start

    public void start(GridRestProtocolHandler hnd)
               throws IgniteCheckedException

Starts protocol.

Parameters:
  `hnd` - Command handler.
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStart

    public void onKernalStart()

Grid start callback.

Specified by:
  `onKernalStart` in interface `GridRestProtocol`
Overrides:
  `onKernalStart` in class `GridRestProtocolAdapter`

#### stop

    public void stop()

Stops protocol.

#### getAddressPropertyName

    protected String getAddressPropertyName()

Return node attribute name to store used address.

Specified by:
  `getAddressPropertyName` in class `GridRestProtocolAdapter`
Returns:
  Node attribute name.

#### getHostNamePropertyName

    protected String getHostNamePropertyName()

Return node attribute name to store used host name.

Specified by:
  `getHostNamePropertyName` in class `GridRestProtocolAdapter`
Returns:
  Node attribute name.

#### getPortPropertyName

    protected String getPortPropertyName()

Return node attribute name to store used port number.

Specified by:
  `getPortPropertyName` in class `GridRestProtocolAdapter`
Returns:
  Node attribute name.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015